Subject: Re: Building AbiWord without libwmf and removing libwmf from Guix
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Sat, 24 Jun 2017 23:58:13 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

With or without libwmf, abiword goes into (what looks like) an infinite
loop allocating memory when I tried opening a WMF file I found on the
internet. Libreoffice was able to open this file and I couldn't
reproduce the issue with the abiword package from Debian Stretch.

From commit v0.13.0-999-gd17e085a5 on another distro, x86_64, here is
what it looks like in strace (full strace log and sample file attached):

[...]
[pid 16356] brk(0x15ac5000)             = 0x15ac5000
[pid 16356] brk(0x15ae7000)             = 0x15ae7000
[pid 16356] brk(0x15b31000)             = 0x15b31000
[pid 16356] brk(0x15b79000)             = 0x15b79000
[pid 16356] brk(0x15bc6000)             = 0x15bc6000
[pid 16356] brk(0x15c0e000)             = 0x15c0e000
[pid 16356] brk(0x15c36000)             = 0x15c36000
[pid 16356] brk(0x15c80000)             = 0x15c80000
[pid 16356] brk(0x15ccb000)             = 0x15ccb000
[pid 16356] brk(0x15d26000)             = 0x15d26000
[pid 16356] brk(0x15d4e000)             = 0x15d4e000
[pid 16356] brk(0x15d95000)             = 0x15d95000
[pid 16356] brk(0x15de1000)             = 0x15de1000
[pid 16356] brk(0x15e31000)             = 0x15e31000
[pid 16356] brk(0x15e59000)             = 0x15e59000
[pid 16356] brk(0x15e81000)             = 0x15e81000
[pid 16356] brk(0x15ecf000)             = 0x15ecf000
[...]

We should figure out if this is specific to Guix somehow, and fix it or
report it upstream.